|  | Home | Documentation | methodResponse Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
methodResponse Struct Reference

Represents the <methodResponse> element with response <params> and <fault>. More...

`#include <xml-rpc.h>`

Collaboration diagram for methodResponse:
[legend]

## Public Member Functions
| methodResponse ()
| methodResponse (struct soap *)
struct value & | operator[] (int)
| response parameter accessor index More...
const struct value & | operator[] (int) const
| response parameter accessor index More...
struct value & | get_fault (void)
| get fault, if set More...
struct value & | set_fault (const char *)
| set fault More...
struct value & | set_fault (struct value &)
| set fault More...
int | recv ()
| receive response More...
int | send ()
| send response More...

## Public Attributes
struct params * | params
| response return parameters, if any More...
struct fault * | fault
| response fault, if any More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Detailed Description

Represents the <methodResponse> element with response <params> and <fault>.

## Constructor & Destructor Documentation

methodResponse::methodResponse | ( |  | ) |

methodResponse::methodResponse | ( | struct soap * |  | ) |

## Member Function Documentation

struct value& methodResponse::get_fault | ( | void |  | ) |

get fault, if set

struct value& methodResponse::operator[] | ( | int |  | ) |

response parameter accessor index

const struct value& methodResponse::operator[] | ( | int |  | ) | const

response parameter accessor index

int methodResponse::recv | ( |  | ) |

receive response

int methodResponse::send | ( |  | ) |

send response

struct value& methodResponse::set_fault | ( | const char * |  | ) |

set fault

struct value& methodResponse::set_fault | ( | struct value & |  | ) |

set fault

## Member Data Documentation

struct fault* methodResponse::fault

response fault, if any

struct params* methodResponse::params

response return parameters, if any

struct soap* methodResponse::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h